# Admin Notes

# --------------------------------------------------------
#
# Table structure for table 'notes_categories'
#
#DROP TABLE IF EXISTS notes_categories;
CREATE TABLE notes_categories (
  notes_categories_id int(11) NOT NULL auto_increment,
  notes_categories_name varchar(64) default NULL,
  PRIMARY KEY  (notes_categories_id)
);

# --------------------------------------------------------
#
# Table structure for table 'notes'
#
#DROP TABLE IF EXISTS notes;
CREATE TABLE notes (
  notes_id int(11) NOT NULL auto_increment,
  notes_title varchar(64) NOT NULL,
  notes_text text,
  notes_date_created datetime NOT NULL default '0001-01-01 00:00:00',
  notes_date_modified datetime NOT NULL default '0001-01-01 00:00:00', 
  notes_start_date date NOT NULL default '0001-01-01',
  notes_end_date date NOT NULL default '0001-01-01',  
  notes_snooze_date datetime NOT NULL default '0001-01-01 00:00:00', 
  notes_categories_id int(11) NOT NULL default '1',
  notes_priority int(11) NOT NULL default '1',
  notes_status int(1) NOT NULL default '1',
  notes_text_message_stack_status int(1) NOT NULL default '1',  
  notes_catalog_status int(1) NOT NULL default '0',    
  notes_is_special_status int(1) NOT NULL default '0',
  customers_id int(11) default NULL,
  orders_id int(11) default NULL,  
  products_id int(11) default NULL, 
  categories_id varchar(64) default NULL,
  admin_id int(11) default NULL,  
  notes_is_public int(1) NOT NULL default '1', 
 
  PRIMARY KEY  (notes_id)
);

# --------------------------------------------------------

#
# Sample data 
#

INSERT INTO notes_categories VALUES (NULL, 'New notes');
INSERT INTO notes_categories VALUES (NULL, 'Sample notes');
INSERT INTO notes_categories VALUES (NULL, 'Personal');
INSERT INTO notes_categories VALUES (NULL, 'Add ons');
INSERT INTO notes_categories VALUES (NULL, 'To-Do');

INSERT INTO notes VALUES (NULL, 'Welcome to Admin Notes!', 'Tired of having Post-it Notes all over the place, and never being able to find that one important note between all other notes?<br />
With Admin Notes Advanced you will save lots of time (and the money you spend on Post-it notes... :-)', NOW(),  NOW(), NOW(), '0001-01-01', '0001-01-01 00:00:00', 2, 2, 1, 1, 0, 0, NULL, NULL, NULL, NULL, NULL, 1);

INSERT INTO notes VALUES (NULL, 'Special notes sample (attached to customer 1).', 'This is a customers note about customer 1 (customers_id = 1) ', NOW(),  NOW(), NOW(), '0001-01-01', '0001-01-01 00:00:00', 2, 2, 1, 1, 0, 1, 1, NULL, NULL, NULL, NULL, 1);

INSERT INTO notes VALUES (NULL, 'Special notes sample (unattached).', 'You can attach this special note to a customer, order, category or product. When attached it will only be shown while you are viewing the details of the customer, order, category or product.<br />
<br />
There are two ways to attach a special note:<br />
<br />
1- You can attach a special note directly by editting the details, but then you will need to know the id of the object you want it to be attached to (the notifier is triggered by the cID, pID, cPath, oID value).<br />
<br />
2- If none of the ID values is > 0 (note details), then the note will be active on all special events and the notes notifier will ask you if you want to attach this note to the product, customer, order or category which you are viewing in you Zen Cart admin. Now the ID will be entered into the note editor automaticly if you click on the note link.', NOW(),  NOW(), NOW(), '0001-01-01 00:00:00', '0001-01-01 00:00:00', 2, 2, 1, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, 1);

# --------------------------------------------------------

#
# Remove data 
#

#TRUNCATE TABLE notes;
#TRUNCATE TABLE notes_categories;

# --------------------------------------------------------

#
# Delete tables 
#

#DROP TABLE IF EXISTS notes;
#DROP TABLE IF EXISTS notes_categories;